#ARCHS=-arch m68k -arch i386 -arch sparc
ARCHS=-arch i386
OPTIONS=-DSGTTY=1 -DSSL_ALLOW_ADH=1 -DSSL_ALLOW_ENULL=1 -DPLATFORM=openstep
OPTIM=-O
CC=cc
CFLAG=-dynamic -fno-common $(OPTIM) $(OPTIONS) 
#CFLAG=-static $(OPTIM) $(OPTIONS)
CFLAGS=-Iinclude -traditional-cpp $(CFLAG) $(ARCHS) -DCFLAGS="\" $(CC) $(CFLAG)\""

all: include/date.h ssl.o rsaglue.o crypto.o 
test: test.dylib

# works?, but is missing some crypto files 
crypto.o:	crypto/crypto.c include/date.h rex.mak
	$(CC) -c -Icrypto $(CFLAGS) $<

#works
ssl.o:	ssl/ssl.c
	$(CC) -c -Issl $(CFLAGS) $<

# ??? appears broke.
eay.o: apps/eay.c
	$(CC) -c $(CFLAGS) $<

#works
rsaglue.o: rsaref/rsaglue.c
	$(CC) -c -Irsaref $(CFLAGS) $<

#works
include/date.h: rex.mak
	echo "#define DATE      \"`date`\"" > $@

test.dylib: ssl.o crypto.o
	$(CC) -dynamiclib -o $@ ssl.o crypto.o 
